SELECT CAST(E030BAN.CODBAN AS INT) AS BANCO,
       E030BAN.ABRBAN AS DESCRICAO, 
       SUBSTR(E030BAN.NOMBAN, 1, 40) AS RAZAOSOCIAL,
       0 AS QTDLOTEBOR,
       0 AS VALMINBOR,
       0 AS VALMAXBORA
FROM   E030BAN
WHERE  DECODE(TRANSLATE(E030BAN.CODBAN,'0123456789',' '), NULL, '1','0') = '1'
OR     DECODE(TRANSLATE(E030BAN.CODBAN,'0123456789',' '), ' ', '1','0') = '1' 
OR     DECODE(TRANSLATE(E030BAN.CODBAN,'0123456789',' '), '  ', '1','0') = '1'